/* Extract the root filename from 'filespec' (exclude path and extension) */

/*
    Contact info:
    bhepple@bit.net.au
    http://www.bit.net.au/~bhepple/dcalc

    Copyright (C) 1999 Bob Hepple

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; see the file COPYING.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.

*/

#include <stdio.h>
#include <string.h>
	
void fname(name, filespec)
char *name, *filespec;
{
	char *c;
	
#ifdef ML_TURBOC
	if ((c = strrchr(filespec, '\\')) != NULL)
		c++;
	else 
#endif
		if ((c = strrchr(filespec, '/')) != NULL)
			c++;
#ifdef ML_TURBOC
		else if ((c = strchr(filespec, ':')) != NULL)
			c++;
#endif
		else
			c = filespec;
	
	while (*c && (*c != '.'))
#ifdef ML_TURBOC
		*name++ = tolower(*c++);
#else
		*name++ = *c++;
#endif
	*name = (char) 0;
}

